<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateDirectoryLookupDialRulesReq StructType
 * @subpackage Structs
 */
class UpdateDirectoryLookupDialRulesReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The numberBeginWith
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $numberBeginWith;
    /**
     * The numberOfDigits
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $numberOfDigits;
    /**
     * The digitsToBeRemoved
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $digitsToBeRemoved;
    /**
     * The prefixPattern
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $prefixPattern;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - default: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $priority;
    /**
     * Constructor method for UpdateDirectoryLookupDialRulesReq
     * @uses UpdateDirectoryLookupDialRulesReq::setNewName()
     * @uses UpdateDirectoryLookupDialRulesReq::setDescription()
     * @uses UpdateDirectoryLookupDialRulesReq::setNumberBeginWith()
     * @uses UpdateDirectoryLookupDialRulesReq::setNumberOfDigits()
     * @uses UpdateDirectoryLookupDialRulesReq::setDigitsToBeRemoved()
     * @uses UpdateDirectoryLookupDialRulesReq::setPrefixPattern()
     * @uses UpdateDirectoryLookupDialRulesReq::setPriority()
     * @param string $newName
     * @param string $description
     * @param string $numberBeginWith
     * @param string $numberOfDigits
     * @param string $digitsToBeRemoved
     * @param string $prefixPattern
     * @param string $priority
     */
    public function __construct($newName = null, $description = null, $numberBeginWith = null, $numberOfDigits = '0', $digitsToBeRemoved = '0', $prefixPattern = null, $priority = '0')
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setNumberBeginWith($numberBeginWith)
            ->setNumberOfDigits($numberOfDigits)
            ->setDigitsToBeRemoved($digitsToBeRemoved)
            ->setPrefixPattern($prefixPattern)
            ->setPriority($priority);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get numberBeginWith value
     * @return string|null
     */
    public function getNumberBeginWith()
    {
        return $this->numberBeginWith;
    }
    /**
     * Set numberBeginWith value
     * @param string $numberBeginWith
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setNumberBeginWith($numberBeginWith = null)
    {
        $this->numberBeginWith = $numberBeginWith;
        return $this;
    }
    /**
     * Get numberOfDigits value
     * @return string|null
     */
    public function getNumberOfDigits()
    {
        return $this->numberOfDigits;
    }
    /**
     * Set numberOfDigits value
     * @param string $numberOfDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setNumberOfDigits($numberOfDigits = '0')
    {
        $this->numberOfDigits = $numberOfDigits;
        return $this;
    }
    /**
     * Get digitsToBeRemoved value
     * @return string|null
     */
    public function getDigitsToBeRemoved()
    {
        return $this->digitsToBeRemoved;
    }
    /**
     * Set digitsToBeRemoved value
     * @param string $digitsToBeRemoved
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setDigitsToBeRemoved($digitsToBeRemoved = '0')
    {
        $this->digitsToBeRemoved = $digitsToBeRemoved;
        return $this;
    }
    /**
     * Get prefixPattern value
     * @return string|null
     */
    public function getPrefixPattern()
    {
        return $this->prefixPattern;
    }
    /**
     * Set prefixPattern value
     * @param string $prefixPattern
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setPrefixPattern($prefixPattern = null)
    {
        $this->prefixPattern = $prefixPattern;
        return $this;
    }
    /**
     * Get priority value
     * @return string|null
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param string $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateDirectoryLookupDialRulesReq
     */
    public function setPriority($priority = '0')
    {
        $this->priority = $priority;
        return $this;
    }
}
